import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-query';

import { _MODULE_CONFIG } from './config/token';

import { QueryProtocolService } from './services/query-protocol.service';

const SERVICES = [QueryProtocolService];

@NgModule({})
export class QueryProtocolRootModule {}

@NgModule({})
export class QueryProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<QueryProtocolRootModule> {
    return {
      ngModule: QueryProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
