import { combineReducers, Action } from '@ngrx/store';

import { reducer as CommonReducer } from './common/reducers';
import { reducer as RoomReducer } from './room/reducers';
import { reducer as ChattingReducer } from './chatting/reducers';

export function reducers(state: any | undefined, action: Action) {
  return combineReducers({
    common: CommonReducer,
    room: RoomReducer,
    chatting: ChattingReducer
  })(state, action);
}
