import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { ChatUiModule } from '../chat-ui.module';

import { RoomExpansionComponent } from './room-expansion.component';

export default {
  title: 'ui-chat::RoomExpansionComponent',
  component: RoomExpansionComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, ChatUiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: RoomExpansionComponent,
  props: {}
});
