import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { GroupUiModule } from '../group-ui.module';

import { ExpansionComponent } from './expansion.component';

export default {
  title: 'ui-group::ExpansionComponent',
  component: ExpansionComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, GroupUiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: ExpansionComponent,
  props: {}
});
