import { Pipe, PipeTransform } from '@angular/core';

import { HtmlUtil } from '../utils/html.util';

@Pipe({ name: 'ucapSafeHtml' })
export class SafeHtmlPipe implements PipeTransform {
  constructor() {}

  public transform(value: string) {
    return HtmlUtil.escapeHtml(value);
  }
}
